# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:authenticationprovider) do
  include EasyType

  desc <<-DESC
  The security authentication providers of the domain.

  DESC

  defaultto 'DefaultAuthenticator'

  to_translate_to_resource do |raw_resource|
    raw_resource['authenticationprovider']
  end
  data_type('Optional[String]')
end

child_of(:wls_authentication_provider, :authenticationprovider) { "#{domain}/#{authenticationprovider}" }
