# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:versionidentifier) do
  include EasyType

  desc 'The version identifier'

  defaultto do
    version_in_ear
  end

  to_translate_to_resource do |raw_resource|
    raw_resource['versionidentifier']
  end

  private

  def version_in_ear
    # rubocop:disable Style/RedundantBegin
    begin
      # rubocop:enable Style/RedundantBegin
      # rubocop:disable Security/Open
      open("| unzip -p #{resource[:localpath]} META-INF/MANIFEST.MF | grep WebLogic-Application-Version:").read.split(':')[1].strip
      # rubocop:enable Security/Open
      # rubocop:disable Style/RescueStandardError
    rescue
      # rubocop:enable Style/RescueStandardError
      nil
    end
  end
  data_type('Optional[String]')
end
