# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:attributes) do
  include EasyType

  desc <<-DESC
  The extra authentication provider properties.

  These are extra properties you add to the provider. This parameter is a sibling to
  `attributesvalues`. This parameter allows you to specify **extra** settings you pass
  to the creation of the authentication provider. They are only used when creating the
  authentication provider and not used during normal operation.

      wls_authentication_provider{'my_athentication_provider':
        ...
        attributes       => ['attribute_a','attribute_b'],
        attribute_values => ['value_for_a', 'value_for_b']
        ...
      }

  DESC

  validate do |value|
    Puppet.deprecation_warning('The attributes parameter on wls_authentication_provide is deprecated. Use the provider_specific property now.')
    value
  end
end
