# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:auto_migration_table_name, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Return the name of the table to be used for server migration.

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         auto_migration_table_name => 'ACTIVE'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:auto_migration_table_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('AutoMigrationTableName')
end
