# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:health_check_periods_until_fencing, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Maximum number of periods that a cluster member will wait before timing out a Cluster Master and also the maximum number of periods the Cluster Master will wait before timing out a Migratable Server.

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         health_check_periods_until_fencing => '3'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:health_check_periods_until_fencing']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC
  include EasyType::Types::Integer
  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('HealthCheckPeriodsUntilFencing')
end
