# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_cross_site_recovery_lease_update, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The time in seconds in which to update at lease timestamp.

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         jta_cross_site_recovery_lease_update => '10'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:jta_cross_site_recovery_lease_update']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC
  include EasyType::Types::Integer
  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JTACluster/%<cluster_name>s/CrossSiteRecoveryLeaseUpdate')
end
