# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unicastbroadcastchannel, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Specifies the channel used to handle communications within a cluster. If no channel is specified the default channel is used. ClusterBroadcastChannel is only are supported if the unicast messaging type is used.

  Here is an example on how to use this:
      wls_cluster { 'aCluster':
        ...
        unicastbroadcastchannel => 'my_cluster_channel',
        ...
      }

  For this property Puppet is not able to figure out the final name
  of the channel. So you have to take of the oridering yourself.

  DESC

  data_type('Optional[String]')

  maps_to('ClusterBroadcastChannel')
end
