# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:secondstotrustidlepoolconnection, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
    The number of seconds within a connection use that WebLogic Server trusts that the connection is still viable and will skip the connection test, either before delivering it to an application or during the periodic connection testing process.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JDBCResource/%<datasource_name>s/JDBCConnectionPoolParams/%<datasource_name>s/SecondsToTrustAnIdlePoolConnection')
end
