# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
$LOAD_PATH.unshift File.join(File.dirname(__FILE__), '../..')
require 'puppet_x/enterprisemodules/weblogic/core'

module Puppet
  Type.newtype(:wls_default_role_mapper) do
    include Puppet_X::EnterpriseModules::WebLogic::Type

    desc 'This resource allows you to manage Role Mappers in weblogic.'

    ensurable

    to_get_raw_resources do
      Puppet.info "Index #{name} "
      environment = { 'action' => 'index', 'type' => 'wls_default_role_mapper' }
      wlst template('wls_config/wls_default_role_mapper/index.py.erb', binding), environment
    end

    on_create do
      Puppet.info "Create #{name} "
      wlst template('wls_config/wls_default_role_mapper/create.py.erb', binding)
      nil
    end

    on_modify do
      Puppet.info "Modify #{name} "
      wlst template('wls_config/wls_default_role_mapper/modify.py.erb', binding)
      nil
    end

    on_destroy do
      Puppet.info "Destroy #{name} "
      wlst template('wls_config/wls_default_role_mapper/destroy.py.erb', binding)
      nil
    end

    parameter :domain
    parameter :name
    parameter :mapper_name
    parameter :class_type
    property  :class_type_impl

    add_title_attributes(:mapper_name)
  end
end
