# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:localpath) do
  include EasyType

  desc <<-DESC
  The local path of the artifact

  DESC

  validate do |value|
    fail("#{value} is not an absolute path") unless Pathname.new(value).absolute?

    if Pathname.new(value).dirname.cleanpath.to_s == '/tmp'
      # Weblogic 12.1.1 deployments will fail it localpath is directly in /tmp
      fail('localpath can not be in /tmp')
    end
  end
end

child_of(:file) { localpath }
