# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_rotationtype, :parent => Puppet::Parameter::WlsProperty) do
  extend Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-DESC
    log rotation type of a domain or server.

  DESC

  newvalues('absent', 'bySize', 'byTime', 'none')

  maps_to('Log/%<domain_name>s/RotationType')
  data_type("Optional[Enum['absent', 'bySize', 'byTime', 'none']]")
end
