# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:setconfigbackupenabled, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    Enable or disable configuration backup for the domain.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('ConfigBackupEnabled')
end
