# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:realm, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The security realm for this partition.

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         realm => 'a_value'
         ...
      }

  DESC

  data_type('Optional[String]')

  maps_to('Realm')
end
