# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:resource_manager, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The resource manager policy assigned to the partition.

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         resource_manager => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:resource_manager']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('ResourceManager')
end
