# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:use_default_target, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Checks whether this resource group uses the default target from the partition that contains the resource group.

  An example on how to use this:

      wls_domain_partition_resource_group {a_wls_domain_partition_resource_group :
         ...
         use_default_target => 1,
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('UseDefaultTarget')
end
