# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require "#{File.dirname(__FILE__)}/foreign_server_object_property"

newproperty(:remotejndiname, :parent => Puppet::Parameter::WlsProperty) do
  extend ForeignServerObjectProperty

  desc <<-DESC
    The Remote JNDI of the Foreign server object

  DESC

  data_type('Optional[String[1]]')

  maps_to('RemoteJNDIName')
end
