# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:order) do
  include EasyType
  include EasyType::Types::Integer

  desc <<-DESC
  The order of the Authentication Provider (0 is highest).

  Optionally, the provider can be ordered by specifying a value to the order paramater,
  which is a zero-based list. When configuring ordering order, it may be necessary to create
  the resources with Puppet ordering (if not using Hiera) or by structuring Hiera
  in matching order. Otherwise ordering may fail if not all authentication providers are created
  yet (by default the provider will be ordered last if it is greater than the number of providers
  currently configured).


  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  to_translate_to_resource do |raw_resource|
    raw_resource['order']
  end
end
