# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:key_type, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The expected property type for this destination key.   Gets the "key-type" element

  An example on how to use this:

      wls_jms_sort_destination_key {a_wls_jms_sort_destination_key :
         ...
         key_type => 'String'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_sort_destination_key:key_type']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('KeyType')
end
