# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:quota, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  A Quota controls the allotment of system resources available to destinations. For example, the number of bytes a destination is allowed to store can be configured with a Quota.

  An example on how to use this:

      wls_jms_topic {a_wls_jms_topic :
         ...
         quota => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_topic:quota']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('Quota')
end
