# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:shell_command, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Returns the local command line to use when invoking SSH or RSH node manager functions.

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         shell_command => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:shell_command']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('NodeManager/%<machine_name>s/ShellCommand')
end
