# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:batchinterval, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The maximum amount of time, in milliseconds, that a messaging bridge instance waits before sending a batch of messages in one transaction, regardless of whether the Batch Size has been reached or not

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('BatchInterval')
end
