# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reconnectdelaymin, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The minimum amount of time, in seconds, that a messaging bridge instance waits before it tries to reconnect to the source or target destination after a failure.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('ReconnectDelayMinimum')
end
