# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:targetdestination, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The target destination where a messaging bridge instance sends the messages it receives from the source destination.

  DESC

  data_type('Optional[String]')

  maps_to('TargetDestination/')

  on_apply do
    apply_paths_with_reference('/JMSBridgeDestinations', value)
  end
end

child_of(:wls_jms_bridge_destination, :targetdestination) { "#{domain}/#{targetdestination}" }
