# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:constrained_candidate_servers, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::ArrayProperty

  desc <<-DESC
  The list of servers this migratable target should be constrained to

  DESC

  data_type("Optional[Variant[Enum['absent'],Array[String],String[1]]]")

  maps_to('ConstrainedCandidateServers/')

  on_apply do
    apply_paths_with_references('/Servers', value)
  end
end
