# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:persistentstoretype, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The persistentstore type

  DESC

  newvalues('FileStore', 'JDBCStore')

  maps_to('PersistentStore/%<persistentstore>s/Type')

  def insync?(to)
    #
    # If the persistet store isn't specified, we return a true
    #
    if resource.persistentstore
      super
    else
      true
    end
  end

  def self.translate_to_resource(raw_resource, resource)
    return nil if resource[:persistentstore].nil?

    super
  end

  on_apply do
    # Leave the work to persistent store
  end

  data_type("Optional[Enum['FileStore','JDBCStore']]")
end
