# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:saf_remote_context, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Specifies the remote context used for the imported destinations.  Changing the remote context name affects both stored messages and incoming messages.

  An example on how to use this:

      wls_saf_imported_destination {a_wls_saf_imported_destination :
         ...
         saf_remote_context => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_imported_destination:saf_remote_context']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('SAFRemoteContext')
end
