# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_template_bean, :parent => Puppet::Parameter::WlsProperty) do
  extend SAFImportedDestinationObjectProperty

  desc <<-DESC
  Finds the template bean for this destination.

  An example on how to use this:

      wls_saf_imported_destination_object {a_wls_saf_imported_destination_object :
         ...
         log_template_bean => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_imported_destination_object:log_template_bean']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('MessageLoggingParams/%<imported_destination>s/TemplateBean')
end
