# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:login_url, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Specifies the URL to connect to when using this SAF Login Context.  SAFImportedDestinations are associated with a SAFRemoteContext that has a SAFLoginContext. This SAFLoginContext defines the URL to connect to.

  An example on how to use this:

      wls_saf_remote_context {a_wls_saf_remote_context :
         ...
         login_url => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_remote_context:login_url']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('SAFLoginContext/%<remote_context_name>s/LoginURL')
end
