# frozen_string_literal: true

newproperty(:deployable_provider_synchronization_enabled, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Specifies whether synchronization for deployable Authorization and Role Mapping providers is enabled.  The Authorization and Role Mapping providers may or may not support parallel security policy and role modification, respectively, in the security provider database. If the security providers do not support parallel modification, the WebLogic Security Framework enforces a synchronization mechanism that results in each application and module being placed in a queue and deployed sequentially.

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         deployable_provider_synchronization_enabled => 1,
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('DeployableProviderSynchronizationEnabled')
end
