# frozen_string_literal: true

newproperty(:retire_timeout_seconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  Specifies the retire timeout for a realm that is restarted. The old realm will be shutdown after the specified timeout period has elapsed.

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         retire_timeout_seconds => 60,
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('RetireTimeoutSeconds')
end
