# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:buzz_port, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Buzz endpoint port.  A value of <code>0</code> means system-allocated (dynamic) port.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         buzz_port => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:buzz_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('BuzzPort')
end
