# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:period_length, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The time interval in milliseconds of the heartbeat period. A value of 0 indicates that heartbeats are turned off.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         period_length => '60000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:period_length']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('PeriodLength')
end
