# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:stuck_thread_timer_interval, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The number of seconds after which WebLogic Server periodically scans threads to see if they have been continually working for the configured maximum length of time.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         stuck_thread_timer_interval => '60'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:stuck_thread_timer_interval']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('StuckThreadTimerInterval')
end
