# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_number_of_files_limited, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Limited log number of files of a domain or server.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to([
            'Log/%<server_name>s/NumberOfFilesLimited',
            'WebServer/%<server_name>s/WebServerLog/%<server_name>s/NumberOfFilesLimited',
            'DataSource/%<server_name>s/DataSourceLogFile/%<server_name>s/NumberOfFilesLimited'
          ])
end
