# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_rotate_logon_startup, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  log rotate Logon at startup of a domain or server.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to([
            'Log/%<server_name>s/RotateLogOnStartup',
            'WebServer/%<server_name>s/WebServerLog/%<server_name>s/RotateLogOnStartup',
            'DataSource/%<server_name>s/DataSourceLogFile/%<server_name>s/RotateLogOnStartup'
          ])
end
