# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:accept_backlog, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The number of backlogged, new TCP connection requests that this network channel allows. A value of <tt>-1</tt> indicates that the network channel obtains its backlog configuration from the server's configuration.

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         accept_backlog => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:accept_backlog']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('AcceptBacklog')
end
