# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:protocol, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The server channel protocol.

  DESC

  maps_to('Protocol')

  newvalues(
    'absent',
    'https',
    't3',
    'snmp',
    'cluster-broadcast-secure',
    'ldaps',
    'cluster-broadcast',
    'ldap',
    'http',
    'iiop',
    'admin',
    't3s',
    'iiops'
  )

  data_type("Optional[Enum['absent',
  'https',
  't3',
  'snmp',
  'cluster-broadcast-secure',
  'ldaps',
  'cluster-broadcast',
  'ldap',
  'http',
  'iiop',
  'admin',
  't3s',
  'iiops']]")
end
