# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:health_check_start_delay_seconds, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The number of seconds the Node Manager should wait before starting to monitor the server.

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         health_check_start_delay_seconds => '120'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:health_check_start_delay_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('HealthCheckStartDelaySeconds')
end
