# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:java_compiler_post_class_path, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The options to append to the Java compiler classpath when compiling Java code.

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         java_compiler_post_class_path => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:java_compiler_post_class_path']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('JavaCompilerPostClassPath')
end
