# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jndi_transportable_object_factory_list, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  List of factories that create transportable objects.

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         jndi_transportable_object_factory_list => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:jndi_transportable_object_factory_list']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('JNDITransportableObjectFactoryList')
end
