# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:xml_registry, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The server's XML registry, which is used to configure the behavior of JAXP (Java API for XML Parsing).

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         xml_registry => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:xml_registry']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('XMLRegistry')
end
