# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:class_name, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The fully qualified name of a class to load and run. The class must be on the server's classpath.  For example, <code>mycompany.mypackage.myclass</code>

  An example on how to use this:

      wls_singleton_service {a_wls_singleton_service :
         ...
         class_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_singleton_service:class_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('ClassName')
end
