# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:response_time_request_class, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The response time goal (in milliseconds).

  An example on how to use this:

      wls_workmanager {a_wls_workmanager :
         ...
         response_time_request_class => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_workmanager:response_time_request_class']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('ResponseTimeRequestClass')
end
