# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:work_manager_shutdown_trigger, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Configure a shutdown trigger for this WorkManager. Specifies the condition to be used to shutdown the WorkManager. The Server health monitoring periodically checks to see if the conidtion is met and shuts down the work manager if needed.

  An example on how to use this:

      wls_workmanager {a_wls_workmanager :
         ...
         work_manager_shutdown_trigger => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_workmanager:work_manager_shutdown_trigger']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('WorkManagerShutdownTrigger')
end
