# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:constraintvalue, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The value of a workmanager constraint

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('%<value>s')

  to_translate_to_resource do |raw_resource|
    key = case raw_resource[:constrainttype_folder]
          when 'FairShareRequestClasses' then 'FairShare'
          when 'ResponseTimeRequestClasses' then 'GoalMs'
          else
            'Count'
          end
    my_resource = raw_resource.merge({ :value => key })
    super(my_resource, {})
  end
end
